2018-12-19 00:05 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000175Branch 0.2.1-FINALBugpublic2016-11-23 10:08
ReporterQuix0r 
Assigned ToQuix0r 
PrioritynormalSeveritytweakReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000175: translateGender() Gibt Meldung "Unknown gender detected." zurueck
DescriptionDazu ein backtrace:
-------------------------------------
Mailer Project ist in Script/Funktion debug_report_bug, Zeile 2558 mit folgender Meldung abgebrochen: Note: Unknown gender detected.
Please report this bug at http://bugs.mxchange.org and include the logfile from inc/cache/debug.log in your report (you can now attach files):

functions.php:2541, debug_get_printable_backtrace(0)
functions.php:840, debug_report_bug(1)
what-list_unconfirmed.php:137, translateGender(1)
inc-functions.php:131, include(1)
action-email.php:52, loadInclude(1)
inc-functions.php:131, include(1)
admin-inc.php:210, loadInclude(1)
admin.php:363, doAdminAction(0)
inc-functions.php:131, include(1)
inc-functions.php:145, loadInclude(1)
modules.php:127, loadIncludeOnce(1)

Request-URI: /modules.php?module=admin&what=list_unconfirmed&mid=8
Thank you for finding bugs.
-------------------------------------
Es koennen auch teilweise ungueltige Werte mit in der Meldung stehen, spaeter dazu einen aktuellen backtrace.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
related to 0000176assignedQuix0r Globalere Verwendung der Expression-Language (Kurz: EL) 
+Relationships

-Notes

~0000439

Quix0r (administrator)

Last edited: 2010-08-25 21:03

View 2 revisions

Hier mal eine aktuellere Meldung:
------------------------------
Fehlermeldung: Unknown gender 1 detected.
------------------------------
Backtrace:
1.:functions.php:2563, debug_get_mailable_backtrace(0)
2.:functions.php:846, debug_report_bug(1)
3.:functions.php:474, translateGender(1)
4.:autopurge_functions.php:51, loadEmailTemplate(3)
5.:purge-general.php:108, addPointsAutoPurge(2)
6.:inc-functions.php:131, include(1)
7.:inc-functions.php:145, loadInclude(1)
8.:inc-functions.php:108, loadIncludeOnce(1)
9.:filters.php:232, loadIncludePool(1)
10.:debug_get_mailable_backtrace:2516, FILTER_LOAD_INCLUDES(1)
11.:filter-functions.php:286, call_user_func_array(2)
12.:reset_autopurge.php:55, runFilterChain(2)
13.:inc-functions.php:131, include(1)
14.:inc-functions.php:145, loadInclude(1)
15.:inc-functions.php:108, loadIncludeOnce(1)
16.:filters.php:232, loadIncludePool(1)
17.:debug_get_mailable_backtrace:2516, FILTER_LOAD_INCLUDES(1)
18.:filter-functions.php:286, call_user_func_array(2)
19.:filters.php:561, runFilterChain(2)
20.:debug_get_mailable_backtrace:2516, FILTER_RUN_RESET_INCLUDES(1)
21.:filter-functions.php:286, call_user_func_array(2)
22.:functions.php:3139, runFilterChain(1)
23.:filters.php:698, doReset(0)
24.:debug_get_mailable_backtrace:2516, FILTER_RUN_DAILY_RESET(1)
25.:filter-functions.php:286, call_user_func_array(2)
26.:load_cache.php:74, runFilterChain(1)
27.:inc-functions.php:131, include(1)
28.:inc-functions.php:145, loadInclude(1)
29.:mysql-connect.php:104, loadIncludeOnce(1)
30.:inc-functions.php:131, include(1)
31.:inc-functions.php:145, loadInclude(1)
32.:config-global.php:106, loadIncludeOnce(1)
33.:modules.php:54, require(1)
------------------------------
Abfrage-String: /cms/index
------------------------------
Verwendeter Browser: Mozilla/5.0 (compatible; Yahoo! Slurp/3.0; -egal-)
------------------------------
IP-Nummer: 67.195.37.174
------------------------------
User-Id: 9
------------------------------
Ich werde aber bezueglich Mail-Templates noch einiges umbauen, da auch diese mit der Expression-Language "ausruestbar" sein sollen, sprich also dass auch dort dynamisch Content einsetzbar werden soll. Mehr dazu im seperaten Ticket.

~0000490

Quix0r (administrator)

Ist schon laenger gefixt bzw. mehrfach umgeaendert.

~0000672

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2010-04-02 11:41 Quix0r New Issue
2010-04-02 11:41 Quix0r Status new => assigned
2010-04-02 11:41 Quix0r Assigned To => Quix0r
2010-04-02 11:41 Quix0r Projection none => tweak
2010-04-02 11:41 Quix0r ETA none => < 1 day
2010-05-26 15:18 Quix0r Note Added: 0000439
2010-05-26 15:30 Quix0r Relationship added related to 0000176
2010-05-28 16:27 Quix0r Build SVN-HEAD => 0.2.1-FINAL
2010-05-28 16:40 Quix0r Product Version => 0.2.1-FINAL
2010-08-25 21:03 Quix0r Note Edited: 0000439 View Revisions
2010-08-25 21:08 Quix0r Note Added: 0000490
2010-08-25 21:08 Quix0r Status assigned => resolved
2010-08-25 21:08 Quix0r Fixed in Version => 0.2.1-FINAL
2010-08-25 21:08 Quix0r Resolution open => fixed
2016-11-23 10:08 Quix0r Status resolved => closed
2016-11-23 10:08 Quix0r Note Added: 0000672
+Issue History